aboutsummaryrefslogtreecommitdiffstats
path: root/testing/loudmouth/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2011-12-22 23:23:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-01-16 15:41:01 +0000
commit5686b4c305f2f496718aecb12e638fc0df6b1a56 (patch)
treeed125fca690c1d6ccc702b29bb6dabb38270bca4 /testing/loudmouth/APKBUILD
parent7d132dd9bdd6819dca9bc3ad85edf27bd99d6c1f (diff)
downloadaports-5686b4c305f2f496718aecb12e638fc0df6b1a56.tar.gz
aports-5686b4c305f2f496718aecb12e638fc0df6b1a56.tar.bz2
aports-5686b4c305f2f496718aecb12e638fc0df6b1a56.tar.xz
Initial APKBUILD for loudmouth
Package description: Loudmouth is a lightweight and easy-to-use C library for programming with the XMPP/Jabber protocol. It's designed to be easy to get started with and yet extensible to let you do anything the XMPP protocol allows. Website: https://github.com/engineyard/loudmouth
Diffstat (limited to 'testing/loudmouth/APKBUILD')
-rw-r--r--testing/loudmouth/APKBUILD57
1 files changed, 57 insertions, 0 deletions
diff --git a/testing/loudmouth/APKBUILD b/testing/loudmouth/APKBUILD
new file mode 100644
index 0000000000..92d129cb16
--- /dev/null
+++ b/testing/loudmouth/APKBUILD
@@ -0,0 +1,57 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=loudmouth
+pkgver=1.4.3
+pkgrel=0
+pkgdesc="A lightweight Jabber client library"
+url="http://groups.google.com/group/loudmouth-dev"
+arch="all"
+license="LGPL"
+depends=""
+depends_dev="pkgconfig"
+makedepends="$depends_dev glib-dev gnutls-dev libidn-dev libasyncns-dev"
+#libasyncns-dev
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.4/${pkgname}-${pkgver}.tar.bz2
+ 01-fix-sasl-md5-digest-uri.patch
+ 03-drop-stanzas-on-fail.patch
+ 04-use-pkg-config-for-gnutls.patch"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --disable-static \
+ --with-asyncns=yes \
+ --with-ssl=no \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+ make check || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="55339ca42494690c3942ee1465a96937 loudmouth-1.4.3.tar.bz2
+5a860172e76dc5df8e694602f360ce76 01-fix-sasl-md5-digest-uri.patch
+d0f34028837b7ff93262373ac3d4dd59 03-drop-stanzas-on-fail.patch
+2cfb0ef5c32c9bd377e3abb6ad38135a 04-use-pkg-config-for-gnutls.patch"